.\" @(#)$RCSfile: lcg-del.man,v $ $Revision: 1.22 $ $Date: 2009/11/19 13:58:41 $ CERN Jean-Philippe Baud
.\" Copyright (C) 2005 by CERN
.\" All rights reserved
.\"
.TH "LCG-DEL" "1" "$Date: 2009/11/19 13:58:41 $" "LCG_UTIL" "User Commands"

.SH "NAME"
lcg-del - delete files (SURLs or LFNs)

.SH "SYNOPSIS"
.B lcg-del
[
.B -a
] [
.BI --config " config_file"
] [
.B -h,--help
] [
.B --force
] [
.BI -D,--defaultsetype " defaulttype"
] [
.BI -T,--setype " setype"
] [
.BI -s,--se " se"
] [
.BI  --connect-timeout " conntimeout"
] [
.BI  --sendreceive-timeout " sndtimeout"
] [
.BI  --bdii-timeout " bdiitimeout"
] [
.BI  --srm-timeout " srmtimeout"
] [
.BI --vo " virtual_organization"
] [
.B -d,--dir
] [
.B -b,--nobdii
] [
.B -l,--nolfc
] [
.B -v,--verbose
] [
.B --version
] (
.BI -f,--file " localfile"
|
.I gridfile [...]
)

.SH "DESCRIPTION"
.B lcg-del
deletes files (either one replica or all replicas).
If it was the last or only valid replica, the entries corresponding to this
GUID are also removed from the RMC or the LFC. If you specify a given command line option
multiple times, the command takes into account only the very last one so that in a script, you can
override a particular option in a pre-set option set (like gcc does).
.TP
.I gridfile
specifies a Logical File Name, a Grid Unique IDentifier or a Site URL.
An SURL scheme can be
.B sfn:
for a classical SE or
.BR srm: .
.TP
.I localfile
specifies a local file in which there is the list of SURLs.
.TP
.I se
Only the replica residing on
.I se
is deleted.
.TP
.I vo
specifies the Virtual Organization the user belongs to. If it is not specified,
the environment variable LCG_GFAL_VO will be used.
.TP
.I force
This option forces exit code to be 0, even if one or more files failed.
.TP
.I conntimeout
Sets the connect timeout, used when connecting to a remote host. The connection will be aborted
if the remote host doesn't reply after
.I conntimeout
seconds. Default: 60 seconds.
.TP
.I sndtimeout
Sets the send/receive data timeout, used when transferring data to/from a remote host. The connection will be aborted
if no data is transfered after
.I sndtimeout
seconds. Default: 0 (blocking).
.TP
.I bdiitimeout
Sets the BDII timeout, used when searching information into BDII. The connection will be aborted
if the search is longer than
.I bdiitimeout
seconds. Default: 60 seconds.
.TP
.I srmtimeout
Sets the SRM timeout, used when doing an asynchronous SRM request. The request will be aborted
if it is still queued after
.I srmtimeout
seconds. Default: 3600 seconds (1 hour).
.TP
.I defaulttype
specifies the default SE type you want to use. Possible values are
.BR none ,
.BR se ,
.BR srmv1 ,
.BR srmv2 ,
for respectively no default type, classic SE, SRMv1, and SRMv2. But if according to the BDII the default type
is not available for this SE, it will use another type.
.TP
.I setype
specifies the SE type you want to use for the file. Possible values are
.BR none ,
.BR se ,
.BR srmv1 ,
.BR srmv2 ,
for respectively no type, classic SE, SRMv1, and SRMv2. But if according to the BDII the default type
is not available for this SE, it will fail.
.TP
.I conf_file
This argument is currently ignored.
.TP
.B -a
An attempt is made to delete all replicas for the file specified as a GUID or LFN. To remove only an alias of the replica,
use
.B lcg-ra
instead.
.TP
.B -d,--dir
If this flag is present, it means that the user want to delete (empty) directory. Note that it is possible to delete only one
directory at a time.
.TP
.B -b,--nobdii
If this flag is present, it means that you don't want to make BDII calls to get SE type. So, you must provide the type of the SE
for srm: arguments, and full endpoint in SURLs. For SE type,
.I defaulttype
can be used.
.TP
.B -l,--nolfc
If this flag is present, it means that the SURL is not registered in any LFC server, and so you explicitely ask lcg-del to not
connect to the LFC server.
.TP
.B -v,--verbose
Verbose mode. You can specify it twice for extra verbose mode.

.SH "NOTE"
The environment variable LCG_GFAL_INFOSYS must point to the BDII, unless
.I --nobdii
option is used.

To use the RLS as catalog instead of the LFC, the environment variable
LCG_CATALOG_TYPE must explicitely be set to "edg". By default, it is set to "lfc".

.SH "EXAMPLE"
.nf
.ft CW
	lcg-del --vo dteam \\
		srm://lxshare0282.cern.ch//pnfs/cern.ch/data/dteam/testjpb16

	lcg-del --vo dteam -a lfn:/grid/dteam/tests/testjpb_rf10
.ft
.fi

.SH "EXIT STATUS"
This program returns 0 if the operation was successful or the number of files which failed.

.SH "SEE ALSO"
.BR lcg-aa (1),
.BR lcg-cp (1),
.BR lcg-cr (1),
.BR lcg-del (1),
.BR lcg-getturls (1),
.BR lcg-gt (1),
.BR lcg-la (1),
.BR lcg-lg (1),
.BR lcg-lr (1),
.BR lcg-ls (1),
.BR lcg-ra (1),
.BR lcg-rep (1),
.BR lcg-rf (1),
.BR lcg-sd (1),
.BR lcg-stmd (1),
.BR lcg-uf (1)
