.\" @(#)$RCSfile: lcg-getturls.man,v $ $Revision: 1.10 $ $Date: 2009/11/19 13:58:41 $ CERN Remi Mollon
.\" Copyright (C) 2005 by CERN
.\" All rights reserved
.\"
.TH "LCG-GETTURLS" "1" "$Date: 2009/11/19 13:58:41 $" "LCG_UTIL" "User Commands"

.SH "NAME"
lcg-getturls - get the TURLs for given SURLs and transfer protocols

.SH "SYNOPSIS"
.B lcg-getturls
[
.B -h,--help
] [
.B -v,--verbose
] [
.BI  --connect-timeout " conntimeout"
] [
.BI  --sendreceive-timeout " sndtimeout"
] [
.BI  --bdii-timeout " bdiitimeout"
] [
.BI  --srm-timeout " srmtimeout"
] [
.BI -p,--protocols " protocol[,...]"
] [
.BI -D,--defaultsetype " defaulttype"
] [
.BI -T,--setype " setype"
] [
.B -b,--nobdii
] [
.BI -s,--st " spacetokendesc"
] [
.B --version
] (
.BI -f,--file " localfile"
|
.I surl [...]
)

.SH "DESCRIPTION"
.B lcg-getturls
gets the TURLs for given SURLs and transfer protocols. If you specify a given command line option
multiple times, the command takes into account only the very last one so that in a script, you can
override a particular option in a pre-set option set (like gcc does).
.TP
.I conntimeout
Sets the connect timeout, used when connecting to a remote host. The connection will be aborted
if the remote host doesn't reply after
.I conntimeout
seconds. Default: 60 seconds.
.TP
.I sndtimeout
Sets the send/receive data timeout, used when transferring data to/from a remote host. The connection will be aborted
if no data is transfered after
.I sndtimeout
seconds. Default: 0 (blocking).
.TP
.I bdiitimeout
Sets the BDII timeout, used when searching information into BDII. The connection will be aborted
if the search is longer than
.I bdiitimeout
seconds. Default: 60 seconds.
.TP
.I srmtimeout
Sets the SRM timeout, used when doing an asynchronous SRM request. The request will be aborted
if it is still queued after
.I srmtimeout
seconds. Default: 3600 seconds (1 hour).
.TP
.I surl
specifies the Site URL. An SURL scheme can be
.B sfn:
for a classical SE or
.BR srm: .
.TP
.I localfile
specifies a local file in which there is the list of SURLs.
.TP
.I defaulttype
specifies the default SE type you want to use. Possible values are
.BR none ,
.BR se ,
.BR srmv1 ,
.BR srmv2 ,
for respectively no default type, classic SE, SRMv1, and SRMv2. But if according to the BDII the default type
is not available for this SE, it will use another type.
.TP
.I setype
specifies the SE type you want to use for the destination file. Possible values are
.BR none ,
.BR se ,
.BR srmv1 ,
.BR srmv2 ,
for respectively no type, classic SE, SRMv1, and SRMv2. But if according to the BDII the default type
is not available for this SE, it will fail.
.TP
.I protocol
specifies the list of protocols which can be used to access the file.
.TP
.I spacetokendesc
specifies the space token to use with
.I surls
.TP
.B -b,--nobdii
If this flag is present, it means that you don't want to make BDII calls to get SE type. So, you must provide the type of the SE
for srm: arguments, and full endpoint in SURLs. For SE type,
.I defaulttype
can be used.
.TP
.B -v,--verbose
Verbose mode. You can specify it twice for extra verbose mode.

.SH "NOTE"
The environment variable LCG_GFAL_INFOSYS must point to the BDII, unless
.I --nobdii
option is used.

.SH "EXAMPLE"
.nf
.ft CW
	lcg-getturls -p rfio,dcap srm://lxshare0303.cern.ch:8443/castor/cern.ch/home/dteam/test

	rfio://lxshare0303.cern.ch//data/dt/stage/test.2415
.ft
.fi

.SH "EXIT STATUS"
This program returns 0 if the operation was successful or >0 if the operation
failed.

.SH "SEE ALSO"
.BR lcg-aa (1),
.BR lcg-cp (1),
.BR lcg-cr (1),
.BR lcg-del (1),
.BR lcg-gt (1),
.BR lcg-la (1),
.BR lcg-lg (1),
.BR lcg-lr (1),
.BR lcg-ls (1),
.BR lcg-ra (1),
.BR lcg-rep (1),
.BR lcg-rf (1),
.BR lcg-sd (1),
.BR lcg-stmd (1),
.BR lcg-uf (1)
