.\" @(#)$RCSfile: lcg-rf.man,v $ $Revision: 1.13 $ $Date: 2009/11/19 13:58:41 $ CERN Jean-Philippe Baud
.\" Copyright (C) 2005 by CERN
.\" All rights reserved
.\"
.TH "LCG-RF" "1" "$Date: 2009/11/19 13:58:41 $" "LCG_UTIL" "User Commands"

.SH "NAME"
lcg-rf - register in the LRC (and optionally in the RMC) a file residing on an SE

.SH "SYNOPSIS"
.B lcg-rf
[
.BI --config " config_file"
] [
.BI -g " guid"
] [
.B -h,--help
] [
.BI -l " lfn"
] [
.BI -D,--defaultsetype " defaulttype"
] [
.BI -T,--setype " setype"
] [
.B -b,--nobdii
] [
.B -v,--verbose
] [
.B  --connect-timeout "timeout"
] [
.B  --sendreceive-timeout "timeout"
] [
.B  --bdii-timeout "timeout"
] [
.B  --srm-timeout "timeout"
] [
.BI --vo " virtual_organization"
] [
.B --version
]
.I surl

.SH "DESCRIPTION"
.B lcg-rf
registers in the LRC (and optionally in the RMC) or the LFC a file residing on an SE.
The program prints the actual GUID on stdout. If you specify a given command line option
multiple times, the command takes into account only the very last one so that in a script, you can
override a particular option in a pre-set option set (like gcc does).
.TP
.I surl
specifies the site URL of the file to be registered. The scheme can be
.B sfn:
for a classical SE or
.BR srm: .
.TP
.I guid
specifies the Grid Unique IDentifier. If this option is not present, a GUID is
generated internally.
.TP
.I lfn
specifies the Logical File Name associated with the file. If this option is
present, an entry is added to the Replica Metadata Catalog or the LFC.
.TP
.I defaulttype
specifies the default SE type you want to use. Possible values are
.BR none ,
.BR se ,
.BR srmv1 ,
.BR srmv2 ,
for respectively no default type, classic SE, SRMv1, and SRMv2. But if according to the BDII the default type
is not available for this SE, it will use another type.
.TP
.I setype
specifies the SE type you want to use for the SURL. Possible values are
.BR none ,
.BR se ,
.BR srmv1 ,
.BR srmv2 ,
for respectively no type, classic SE, SRMv1, and SRMv2. But if according to the BDII the default type
is not available for this SE, it will fail.
.TP
.I vo
specifies the Virtual Organization the user belongs to. If it is not specified,
the environment variable LCG_GFAL_VO will be used.
.TP
.B --connect-timeout
Sets the connect timeout, used when connecting to a remote host. The connection will be aborted
if the remote host doesn't reply after
.I value
seconds. Default: 60 seconds.
.TP
.B --sendreceive-timeout
Sets the send/receive data timeout, used when transferring data to/from a remote host. The connection will be aborted
if no data is transfered after
.I value
seconds. Default: 0 (blocking).
.TP
.B --bdii-timeout
Sets the BDII timeout, used when searching information into BDII. The connection will be aborted
if the search is longer than
.I value
seconds. Default: 60 seconds.
.TP
.B --srm-timeout
Sets the SRM timeout, used when doing an asynchronous SRM request. The request will be aborted
if it is still queued after
.I value
seconds. Default: 3600 seconds (1 hour).
.TP
.I conf_file
This argument is currently ignored.
.TP
.B -b,--nobdii
If this flag is present, it means that you don't want to make BDII calls to get SE type. So, you must provide the type of the SE
for srm: arguments, and full endpoint in SURLs. For SE type,
.I defaulttype
can be used (it will be used for both source and destination).
.TP
.B -v,--verbose
Verbose mode. You can specify it twice for extra verbose mode.

.SH "NOTE"
The environment variable LCG_GFAL_INFOSYS must point to the BDII, unless
.I --nobdii
option is used.
To use the RLS as catalog instead of the LFC, the environment variable
LCG_CATALOG_TYPE must explicitely be set to "edg". By default, it is set to "lfc".

.SH "EXAMPLE"
.nf
.ft CW
	lcg-rf --vo dteam \\
		srm://lxshare0282.cern.ch//pnfs/cern.ch/data/dteam/testjpb16

	guid:4fd28653-b076-4336-811e-7d5a553e0d7f
.ft
.fi

.SH "EXIT STATUS"
This program returns 0 if the operation was successful or >0 if the operation
failed.

.SH "SEE ALSO"
.BR lcg-aa (1),
.BR lcg-cp (1),
.BR lcg-cr (1),
.BR lcg-del (1),
.BR lcg-getturls (1),
.BR lcg-gt (1),
.BR lcg-la (1),
.BR lcg-lg (1),
.BR lcg-lr (1),
.BR lcg-ls (1),
.BR lcg-ra (1),
.BR lcg-rep (1),
.BR lcg-rf (1),
.BR lcg-sd (1),
.BR lcg-stmd (1),
.BR lcg-uf (1)
