.\" @(#)$RCSfile: lcg_del_python.man,v $ $Revision: 1.8 $ $Date: 2009/07/08 15:40:05 $ CERN Jean-Philippe Baud
.\" Copyright (C) 2005 by CERN
.\" All rights reserved
.\" 
.TH "LCG_DEL" "3" "$Date: 2009/07/08 15:40:05 $" "LCG_UTIL" "Library Functions"

.SH "NAME"
lcg_del \- delete one file (either one replica or all replicas)

.SH "SYNOPSIS"
\fBimport lcg_util\fR
.sp
.BI "(int " returncode ,
.BI "string " errmsg
.BI ") lcg_util.lcg_del3 (string " file ,
.BI "string " defaulttype ,
.BI "string " setype ,
.BI "int " nobdii ,
.BI "int " aflag ,
.BI "string " se ,
.BI "string " vo ,
.BI "string " conf_file ,
.BI "int " insecure ,
.BI "int " verbose ,
.BI "int " timeout )
.sp
.BI "(int " returncode ,
.BI "string " errmsg
.BI ") lcg_util.lcg_del4 (string " file ,
.BI "string " defaulttype ,
.BI "string " setype ,
.BI "int " nobdii ,
.BI "int " nolfc ,
.BI "int " aflag ,
.BI "string " se ,
.BI "string " vo ,
.BI "string " conf_file ,
.BI "int " insecure ,
.BI "int " verbose ,
.BI "int " timeout )
.sp
.BI "(int " returncode ,
.BI "listOfDict " statuses ,
.BI "string " errmsg
.BI ") lcg_util.lcg_del5 (listOfStrings " files ,
.BI "string " defaulttype ,
.BI "string " setype ,
.BI "int " nobdii ,
.BI "int " nolfc ,
.BI "int " aflag ,
.BI "string " se ,
.BI "string " vo ,
.BI "string " conf_file ,
.BI "int " insecure ,
.BI "int " verbose ,
.BI "int " timeout )
.sp
.BI "(int " returncode ,
.BI "listOfDict " statuses ,
.BI "string " errmsg
.BI ") lcg_util.lcg_del6 (listOfStrings " files ,
.BI "string " defaulttype ,
.BI "string " setype ,
.BI "int " nobdii ,
.BI "int " nolfc ,
.BI "int " aflag ,
.BI "string " se ,
.BI "string " vo ,
.BI "string " conf_file ,
.BI "int " insecure ,
.BI "int " verbose ,
.BI "int " bool_force ,
.BI "int " timeout )
.sp
.BI "(int " returncode ,
.BI "listOfDict " statuses ,
.BI "string " errmsg
.BI ") lcg_util.lcg_del7 (listOfStrings " files ,
.BI "string " defaulttype ,
.BI "string " setype ,
.BI "int " nobdii ,
.BI "int " nolfc ,
.BI "int " aflag ,
.BI "string " se ,
.BI "string " vo ,
.BI "string " conf_file ,
.BI "int " insecure ,
.BI "int " verbose ,
.BI "int " bool_force ,
.BI "int " bool_rmdir ,
.BI "int " timeout )

.SH "DESCRIPTION"
.B lcg_del
deletes one file (either one replica or all replicas).
If it was the last or only valid replica, the entries corresponding to this
GUID are also removed from the RMC or the LFC.
.TP 
.I file
specifies the Logical File Name, the Grid Unique IDentifier or the Site URL.
An SURL scheme can be 
.B sfn:
for a classical SE or 
.BR srm: .
.TP
.I defaulttype
specifies the default SE type you want to use. But if according to the BDII the default type
is not available for this SE, it will use another type.
Possible values are:
.RS
.TP 3.5i
.BR lcg_util.TYPE_NONE " or " "'none'"
No default type 
.TP
.BR lcg_util.TYPE_SE " or " "'se'"
Use classic SE endpoints 
.TP
.BR lcg_util.TYPE_SRM " or " "'srmv1'"
Use SRMv1 endpoints first
.TP
.BR lcg_util.TYPE_SRMv2 " or " "'srmv2'"
Use SRMv2 endpoints first
.RE
.TP
.I setype
specifies the SE type you want to use for the file. But if according to the BDII the default type
is not available for this SE, it will fail.
Possible values are:
.RS
.TP 3.5i
.BR lcg_util.TYPE_NONE " or " "'none'"
No default type 
.TP
.BR lcg_util.TYPE_SE " or " "'se'"
Use classic SE endpoints 
.TP
.BR lcg_util.TYPE_SRM " or " "'srmv1'"
Use SRMv1 endpoints first
.TP
.BR lcg_util.TYPE_SRMv2 " or " "'srmv2'"
Use SRMv2 endpoints first
.RE
.TP
.I nobdii
If set to a non-zero value, it means that you don't want to make BDII calls to get SE type. So, you must provide the type of the SE
for srm: arguments, and full endpoint in SURLs. For SE type,
.I defaulttype
can be used.
.TP
.I nolfc
If set to a non-zero value, it means that the SURL is not registered in any LFC server, and so you explicitely ask lcg_del to not
connect to the LFC server.
.TP 
.I aflag
An attempt is made to delete all replicas for the file specified as a GUID or LFN.
.TP 
.I se
Only the replica residing on 
.I se
is deleted.
.TP 
.I vo
specifies the Virtual Organization the user belongs to. If it is not specified,
the environment variable LCG_GFAL_VO will be used.
.TP 
.I conf_file
This argument is currently ignored.
.TP 
.I insecure
This argument is currently ignored.
The access to the Replica Catalog or the LFC is done according to the endpoints published 
in MDSS while the access to the SE is always done in secure mode.
.TP 
.I bool_force
if non equals 0, then all errors during file deletion of file unregistration will be ignored.
The function will return 0, as if no errors happened.
Note that it means that files will be unregistered even if the function wasn't able to remove them,
so it may create some inconsistencies!
.TP 
.I bool_rmdir
if non equals 0, then it means that the user want to delete (empty) directory. Note that it is
possible to delete only one directory at a time.
.TP 
.I timeout
specifies the value of timeout (default 0).
.B verbose
Verbose level. Here are the possible levels:
.RS 
.TP 0.5i
.B 0
Only critical errors are put into errmsg.
.TP
.B 1
Warnings are displayed on stderr as well as critical errors.
.TP
.B 2
Debug information is displayed as well as warnings and critical errors.
.RE
.TP 
.I statuses
List of dictionaries. Here are the fields:
.RS
.RS
.TP 1.5i
.I file
the file name (string)
.TP 1.5i
.I status
the status of the file, which is a value of errno (integer)
.TP 1.5i
.I explanation
an explanation of this status - not filled up in all cases (string)
.RE
.RE
.TP 
.I errmsg
Detailed error message.

.SH "NOTE"
The environment variable LCG_GFAL_INFOSYS must point to the BDII, unless
.I nobdii
is set to a non-zero value.
To use the RLS as catalog instead of the LFC, the environment variable
LCG_CATALOG_TYPE must explicitely be set to "edg". By default, it is set to "lfc".

.SH "RETURN VALUE"
This routine returns 0 if the operation was successful or \-1 if the operation
failed. In the latter case,
.B errno
is set appropriately.

.SH "ERRORS"
.TP 1.3i
.B ENOENT
The named file does not exist.
.TP 
.B EACCES
Permission denied.
.TP 
.B EFAULT
.I file
or
.I vo
is an invalid pointer.
.TP 
.B ECOMM
Communication error.
.TP
.B ENAMETOOLONG
.I vo
is too long. 
.TP
.B EPROTONOSUPPORT
Access method not supported.

.SH "SEE ALSO"
.BR lcg_aa_python (3),
.BR lcg_cp_python (3),
.BR lcg_cr_python (3),
.BR lcg_del_python (3),
.BR lcg_gt_python (3),
.BR lcg_la_python (3),
.BR lcg_lg_python (3),
.BR lcg_lr_python (3),
.BR lcg_ra_python (3),
.BR lcg_rep_python (3),
.BR lcg_rf_python (3),
.BR lcg_sd_python (3),
.BR lcg_stmd_python (3),
.BR lcg_uf_python (3)
