.\" @(#)$RCSfile: lcg_la_python.man,v $ $Revision: 1.4 $ $Date: 2008/05/07 12:40:28 $ CERN Remi Mollon
.\" Copyright (C) 2005 by CERN
.\" All rights reserved
.\"
.TH LCG_LA 3 "$Date: 2008/05/07 12:40:28 $" LCG_UTIL "Library Functions"

.SH NAME
lcg_la \- get the list of aliases for a given LFN, GUID or SURL

.SH SYNOPSIS
\fBimport lcg_util\fR
.sp
.BI "(int " returncode ,
.BI "listOfString " lfns ,
.BI "string " errmsg
.BI ") lcg_lax (string " file ,
.BI "string " vo ,
.BI "string " conf_file ,
.BI "int " insecure ,
.BI "listOfString " lfns )
.sp
.BI "(int " returncode ,
.BI "listOfString " lfns ,
.BI "string " errmsg
.BI ") lcg_la2 (string " file ,
.BI "int " nobdii ,
.BI "string " vo ,
.BI "listOfString " lfns )

.SH DESCRIPTION
.B lcg_la
gets the list of aliases for a given LFN, GUID or SURL.
.TP
.I file
specifies the Logical File Name, the Grid Unique IDentifier or the Site URL.
An SURL scheme can be
.B sfn:
for a classical SE or
.BR srm: .
.TP
.I nobdii
If set to a non-zero value, it means that you don't want to make BDII calls to get LFC endpoint.
So, you have to define the environment variable 'LFC_HOST'.
.TP 
.I vo
specifies the Virtual Organization the user belongs to. If it is not specified,
the environment variable LCG_GFAL_VO will be used.
.TP
.I conf_file
This argument is currently ignored.
.TP
.I insecure 
This argument is currently ignored.
The access to the Replica Catalog or the LFC is done according to the endpoints published
in MDS.
.TP
.I lfns
will be set by the routine to the address of the array of pointers to the
aliases. The application should free both the logical file names and the array
of pointers.

.SH NOTE
The environment variable LCG_GFAL_INFOSYS must point to the BDII, unless
.I nobdii
is set to a non-zero value.
To use the RLS as catalog instead of the LFC, the environment variable
LCG_CATALOG_TYPE must explicitely be set to "edg". By default, it is set to "lfc".

.SH RETURN VALUE
This routine returns 0 if the operation was successful or -1 if the operation
failed. In the latter case,
.B errno
is set appropriately.

.SH ERRORS
.TP 1.3i
.B ENOENT
The named file does not exist.
.TP
.B EFAULT
.IR file ,
.I vo
or
.I lfns
is an invalid pointer.
.TP
.B EINVAL
.I file
has an invalid syntax.
.TP
.B ECOMM
Communication error.
.TP
.B ENAMETOOLONG
.I vo
is too long.
.TP
.B EPROTONOSUPPORT
Access method not supported.

.SH SEE ALSO
.BR lcg_aa_python (3),
.BR lcg_cp_python (3),
.BR lcg_cr_python (3),
.BR lcg_del_python (3),
.BR lcg_gt_python (3),
.BR lcg_la_python (3),
.BR lcg_lg_python (3),
.BR lcg_lr_python (3),
.BR lcg_ra_python (3),
.BR lcg_rep_python (3),
.BR lcg_rf_python (3),
.BR lcg_sd_python (3),
.BR lcg_stmd_python (3),
.BR lcg_uf_python (3)
