.\" @(#)$RCSfile: lcg_stmd_python.man,v $ $Revision: 1.2 $ $Date: 2008/05/07 12:40:28 $ CERN Remi Mollon
.\" Copyright (C) 2008 by CERN
.\" All rights reserved
.\" 
.TH "LCG_STMD" "3" "$Date: 2008/05/07 12:40:28 $" "LCG_UTIL" "Library Functions"

.SH "NAME"
lcg_stmd \- get space tokens associated to a space token description, and their metadata

.SH "SYNOPSIS"
\fBimport lcg_util\fR
.sp
.BI "(int " returncode ,
.BI "listOfDict " spacemd ,
.BI "string " errmsg
.BI ") lcg_stmd (string " spacetokendesc ,
.BI "string " endpoint ,
.BI "int " nobdii ,
.BI "int " timeout )

.SH "DESCRIPTION"
.B lcg_stmd
gets space tokens associated to a space token description, and their metadata
.TP
.I spacetokendesc
the space token description whom you want to get metadata.
.TP
.I endpoint
the endpoint of the SE where the 
.I spacetokendesc
is defined. Note that as only SRMv2 supports space tokens the endpoint must be SRMv2-compliant.
.TP
.I nobdii
If set to a non-zero value, it means that you don't want to make BDII calls to get SE type.
So, you must provide the full (SRMv2) endpoint.
.TP 
.I timeout
specifies the value of timeout (default 0).

.SH "NOTES"
Only SRMv2 supports space tokens, so this function is compatible with SRMv2 endpoints only.
The environment variable LCG_GFAL_INFOSYS must point to the BDII, unless
.I nobdii
is set to a non-zero value.

.SH "RETURN VALUE"
This routine returns 0 if the operation was successful or \-1 if the operation
failed. In the latter case,
.B errno
is set appropriately.

.SH ERRORS
.TP 1.3i
.B EINVAL
At least one of the arguments is not correct.
.TP
.B ENOMEM
Memory problem, maybe not enough free memory.
.TP
.B ECOMM
Communication error.

.SH "SEE ALSO"
.BR lcg_aa_python (3),
.BR lcg_cp_python (3),
.BR lcg_cr_python (3),
.BR lcg_del_python (3),
.BR lcg_gt_python (3),
.BR lcg_la_python (3),
.BR lcg_lg_python (3),
.BR lcg_lr_python (3),
.BR lcg_ra_python (3),
.BR lcg_rep_python (3),
.BR lcg_rf_python (3),
.BR lcg_sd_python (3),
.BR lcg_stmd_python (3),
.BR lcg_uf_python (3)
